List MCP server tools
curl --request GET \
--url https://api.zudu.ai/api/mcp-servers/{mcpServerId}/tools \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-SECRET: <api-key>'import requests
url = "https://api.zudu.ai/api/mcp-servers/{mcpServerId}/tools"
headers = {
"X-API-KEY": "<api-key>",
"X-API-SECRET": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-API-SECRET': '<api-key>'}
};
fetch('https://api.zudu.ai/api/mcp-servers/{mcpServerId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "MCP server tools retrieved successfully",
"status": "success",
"error": null,
"data": [
{
"tool_name": "google_calendar_create_detailed_event",
"description": "Create an event by defining each field.",
"approval_policy": "auto_approve_all",
"input_schema": {
"type": "object",
"properties": {
"instructions": {
"type": "string",
"description": "Instructions for running this tool..."
},
"summary": {
"type": "string",
"description": "Summary"
}
},
"required": [
"instructions"
]
},
"created_at": 1751785825934,
"updated_at": 1751785825934
}
]
}{
"message": "MCP server not found",
"status": "error",
"error": "MCP server with ID 'mcp_invalid_id' does not exist in organization",
"data": null
}{
"message": "Internal server error",
"status": "error",
"error": "Server error",
"data": null
}MCP Servers
List MCP server tools
Lists tools for an MCP server (current behavior).
GET
/
api
/
mcp-servers
/
{mcpServerId}
/
tools
List MCP server tools
Notes
- Fetches tools from the MCP server in real time
Authorizations
API Key for MCP server and external service authentication
API Secret for MCP server and external service authentication
Path Parameters
MCP server ID
Example:
"mcp_8c180796-e6d7-4343-88b5-5df0846fef69"
⌘I